Retrieve Monitor
curl --request GET \
--url https://www.trysignalbase.com/api/v2/monitors/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.trysignalbase.com/api/v2/monitors/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.trysignalbase.com/api/v2/monitors/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "29681a72-ed3d-41a8-b119-2c2942b34996",
"name": "Key accounts",
"signal_types": [
"funding_round",
"hiring"
],
"active": true,
"webhook": {
"id": "4141b666-835e-482d-8074-22c02eaf196a",
"endpoint_url": "https://example.com/hooks/signalbase"
},
"stats": {
"targets": 4,
"resolved_targets": 2,
"signals_30d": 1,
"last_delivery_at": "2026-09-19T08:00:00.000Z"
},
"created_at": "2026-09-20T13:10:38.502Z",
"updated_at": "2026-09-20T13:10:41.540Z"
},
"meta": {
"endpoint": "monitors.get",
"creditsUsed": 0
}
}{
"success": false,
"error": "Invalid API key. No key found.",
"code": "invalid_api_key"
}{
"success": false,
"error": "Subscription expired. Please upgrade your subscription: https://www.trysignalbase.com/#pricing",
"code": "subscription_expired"
}{
"success": false,
"error": "Monitor not found",
"code": "not_found"
}{
"success": false,
"error": "Too many requests. Please upgrade your plan or slow down.",
"code": "rate_limited",
"retryAfter": 60
}{
"success": false,
"error": "An unknown error occurred",
"code": "internal_error"
}Monitors
Retrieve Monitor
Fetch one monitor with its stats. The webhook signing secret is never returned here. Free (0 credits).
GET
/
monitors
/
{id}
Retrieve Monitor
